Page MenuHomePhabricator

evil: bring back doxygen intro page for evil library
ClosedPublic

Authored by stefan_schmidt on Oct 2 2019, 6:22 AM.

Details

Summary

While we switched evil to be not a public AP, but internal lib only, we
still want to have its documentation shown.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
stefan_schmidt created this revision.Oct 2 2019, 6:22 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

vtorri added a comment.Oct 2 2019, 9:29 AM

should we add @private to the doc of the functions ?

Meanwhile, I confirm this brings Evil back to the main EFL Legacy page.

should we add @private to the doc of the functions ?

I gave this a quick test. If we are going to add this to all evil functions the doc blocks describing the functions would simply disappear from the generated documentation. Is that really what we want?

I played with this a bit more locally. @private is not accpeted for the group and main library descriptions. When I tagged all evil function docs with @private we will still have the main lib description and links to the groups, but now function docs in public.

I see two options here a) we go the full path and make sure evil does no longer show up in the generated doxygen docs at all (the docs itself in the headers can stay but it will not be seen in the generated docs or b) we leave this as is. Maybe add a coment on the main evil page that these are private efl functions and not public API.

vtorri added a comment.Oct 4 2019, 4:51 AM

option b) is fine for me

ok, so we keep this and I am changing the wording on another patch

vtorri accepted this revision.Oct 7 2019, 2:03 AM
This revision is now accepted and ready to land.Oct 7 2019, 2:03 AM
This revision was automatically updated to reflect the committed changes.